Subject: Re: [PATCH] 2.6.3 orinoco.c patch to support ethtool get_link

From: Thomas Munck Steenholdt <[email-masked]>
Date: Fri, 12 Mar 2004 19:49:35 +0100

Thomas Munck Steenholdt wrote:
> Jean Tourrilhes wrote:
> 
>>     I hope you realise that most often link status is meaningless
>> with Wireless cards. In Ad-Hoc mode, the link is always up, regardless
>> of the number of nodes in the cell, check the discussion on the HostAP
>> mailing list. And the Orinoco card will report connected even is WEP
>> is wrong. But, if you only use managed mode without WEP, that should
>> work.
>>     I just wonder if it's better to report a 'link status' that
>> may be wrong/misleading or to not report anything at all.
> 
> 
> Actually, if the WEP key is wrong(i guess that's what you mean) the
> link is determined as down, like it should be!
> 
> For the AdHoc mode, sure the link is always determined as up, but that
> is really the best way to do it given the nature of an Ad-Hoc network,
> right!
> 
> The way I see it you'll gain from this patch whenever in managed mode.
> Most people (in my experience) is using managed mode and thus would 
> benefit from this functionality!
> 
> Thomas
> 
> 

Please comment on this ?

I feel it's a really good idea that would improve things for me a lot - 
I'm sure I'm not the only one!

Thomas